libsigsegv (2.12-2build1) groovy; urgency=medium

  * No change rebuild to gain CET protection

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 18 Jun 2020 15:36:08 +0100

libsigsegv (2.12-2) unstable; urgency=medium

  * Drop aarch64-stack-direction.patch, no longer needed.
  * Symbol sigsegv_reset_onstack_flag now also present on hurd-i386.
  * Set Maintainer to debian-common-lisp@l.d.o.
  * Use secure URL for Homepage.
  * Mark libsigsegv-dev M-A same.
  * Bump Standards-Version to 4.1.4.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 12 Apr 2018 14:14:23 +0200

libsigsegv (2.12-1) unstable; urgency=medium

  * New upstream release.
  * Update d/upstream/signing-key.asc with new key.
  * d/watch: bump to format v4; use secure URL.
  * Update Vcs-* for move to salsa.
  * Bump to debhelper compat level 11.
  * Add myself to Uploaders.
  * Bump to Standards-Version 4.1.3.
  * Rewrite d/copyright using machine-readable format 1.0.
  * Drop no-stackhandler-on-s390.patch, no longer needed.
  
 -- Sébastien Villemot <sebastien@debian.org>  Mon, 05 Feb 2018 11:35:09 +0100

libsigsegv (2.11-1) unstable; urgency=medium

  * Imported new upstream, recreated changes
  * configure-patch-for-kfreebsd-debian.patch is no longer needed. 
  * sparc-fix-sigsegv-fault-stackpointer-definition.patch also seems no
    longer needed. 
  * Updated Standard Version, no changes 
  * Removed "Multi-Arch: same" for dev package.
    (Closes: #720034)
  * Fixed homepage of upstream. (Closes: #856656)

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 30 Jun 2017 11:04:26 +0200

libsigsegv (2.10-5) unstable; urgency=medium

  * Import patch from John Paul Adrian Glaubitz to fix build on sparc64
    (Closes: #805570)
  * Import patch from Helmut Grohne to Fix cross compilation for arm64
    (Closes: #775050)
  * Use canonical Vcs-* URLs
  * Bump standards version
  * Add upstream signing key

 -- Christoph Egger <christoph@debian.org>  Sun, 20 Mar 2016 11:22:55 +0100

libsigsegv (2.10-4) unstable; urgency=medium

  * Adopt symbol file for hurd
  * Include 2.9-4 (fixes clisp on kfreebsd-*):
      Disable SIGSTKSZ-adjust.patch as it's need is not clear and it at
      least breaks the clisp build on kfreebsd-i386
  * Bump standar version

 -- Christoph Egger <christoph@debian.org>  Wed, 04 Jun 2014 20:06:54 +0200

libsigsegv (2.10-2) unstable; urgency=low

  * Upload to unstable
  * Update to use dh style rules file
  * Enable multiarch (Closes: #695861)
  * Import symbols file (Closes: #635921)
  * Make sure config.* gets updated (via debhelper addon) (Closes: #533680)

 -- Christoph Egger <christoph@debian.org>  Tue, 02 Jul 2013 20:26:56 +0200

libsigsegv (2.10-1) experimental; urgency=low

  * refresh patches
  * Import new upstream Version signed by F059B1D1

 -- Christoph Egger <christoph@debian.org>  Tue, 26 Jul 2011 15:15:56 +0200

libsigsegv (2.9-2) unstable; urgency=low

  * Disable stackhandler on s390 as it doesn't work right now and
    workarounds break at least clisp

 -- Christoph Egger <christoph@debian.org>  Sun, 13 Mar 2011 13:59:14 +0100

libsigsegv (2.9-1.1) unstable; urgency=low

  * Install shared library again (Closes: #616576)
  * Add myself to uploaders

 -- Christoph Egger <christoph@debian.org>  Sun, 06 Mar 2011 00:41:06 +0100

libsigsegv (2.9-1) unstable; urgency=low

  * New upstream release and upload to unstable.
    Major changes in upstream:
    + Correct support for 64-bit ABI on MacOS X 10.5 and newer.
    + Fix alternate stack overflow on at least Linux for PowerPC64;
      regression introduced in 2.6.
  * Repackaged using quilt.

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 19 Feb 2011 07:22:44 +0100

libsigsegv (2.8-1) experimental; urgency=low

  * New upstream version 2.8 which we track with git. Closes: #541027
    Major changes:
   + Support for platforms that follow POSIX:2008, not POSIX:2001.
   + On Linux platforms, libsigsegv now prefers the POSIX way of defining the
     signal handler over than the traditional one, when both are supported.
     As a consequence, on Linux/i386 and other Linux platforms, the type
     'stackoverflow_context_t' is now typedefed to 'ucontext_t *' rather than
     'struct sigcontext *'.
   + sigsegv_leave_handler is changed. Previously it was a normal function with
     no arguments. Now it is a function that take a non-returning continuation
     function and three arguments for it as arguments.
     Where you had code like
        int my_handler(void* fault_address, int serious)
        {
          ...code_before()...;
          sigsegv_leave_handler();
          ...code_after()...;
          longjmp(...);
        }
     you now have to write
        void my_handler_tail(void* arg1, void* arg2, void* arg3)
        {
          ...code_after()...;
          longjmp(...);
        }
        int my_handler(void* fault_address, int serious)
        {
          ...code_before()...;
          #if LIBSIGSEGV_VERSION >= 0x0206
          return sigsegv_leave_handler(my_handler_tail, arg, NULL, NULL);
          #else
          sigsegv_leave_handler();
          my_handler_tail(arg, NULL, NULL);
          /* NOTREACHED */
          abort();
          #endif
        }
   + Improved distinction between stack overflow and other fault on NetBSD,
     OpenBSD, FreeBSD, Linux, AIX, Solaris. Contributed by Eric Blake.
   + GNU gnulib now has an autoconf macro for locating libsigsegv:
     http://www.gnu.org/software/gnulib/MODULES.html#module=libsigsegv
  * Added debian/README.building file
  * Now use debhelper v7
  * Has updated autoconf files. (Closes: #533680)
  * The SONAME became 2.0.1, so we need to rename the binary package
  * updated debian/README.building with the new standard
  * removed extra Section marker
  * Changed libsigsegv-dev description to be more unique
  * Added stupid source/format statement
  * Added ${misc:Depends} to Depends
  * Updated Standards-Version, no real changes

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 29 Sep 2010 07:09:45 +0200

libsigsegv (2.5-3) unstable; urgency=low

  * debian/control:
    + Depends: on automake.
  * debian/rules:
    + regenerate all autoreconf's stuff at 'config.status' target and
      restore the original one at 'clean' target, thanks to Peter Green
      <plugwash@p10link.net> (Closes: #518877).

 -- Luca Capello <luca@pca.it>  Fri, 27 Mar 2009 00:04:29 +0100

libsigsegv (2.5-2) unstable; urgency=low

  * debian/control:
    + add myself to Uploaders:.
    + add Vcs-Browser field.
    + Build-Depends: on autoconf.

  * debian/rules:
    + regenerate autoconf's stuff at 'config.status' target and restore
      the original one at 'clean' target, thus adding support for
      GNU/kFreeBSD, thanks to Petr Salinger <petr.salinger@seznam.cz>
      (Closes: #466356).
    - remove darcs-specific hacks.
    - remove suspicious line.
    - remove trailing spaces.

 -- Luca Capello <luca@pca.it>  Tue, 26 Aug 2008 02:39:18 +0200

libsigsegv (2.5-1) unstable; urgency=low

  * New upstream version
  * Fixed Vcs-Git entry
  * Updated standard version without changes
  * Changed to group maintanance
  * Use standard gcc version
  * make debian/rules executable
  * Fix uploaders

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 16 Jan 2008 07:12:30 +0100

libsigsegv (2.4-4) unstable; urgency=low

  * modified S-X-Vcs-Darcs to XS-Vcs-Darcs field
  * Added libsigsegv0 library (Closes: #434122)
  * Don't ignore make clean errors 

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 16 Sep 2007 17:01:57 +0200

libsigsegv (2.4-3) unstable; urgency=low

  * Added XS-X-Vcs-Darcs header
  * Applied kfreeBSD patch again. (Closes: #376570)
  * Regenerated configure files 

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 25 Sep 2006 09:37:36 +0200

libsigsegv (2.4-2) unstable; urgency=low

  * fix FTBFS on GNU/kFreeBSD (Closes: #376570)

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 20 Sep 2006 10:39:11 +0200

libsigsegv (2.4-1) unstable; urgency=low

  * New upstream version, improved 2.4 support. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun,  2 Jul 2006 23:31:20 +0200

libsigsegv (2.3-3) unstable; urgency=medium

  * Fix misbuild on ia64 corrupting the clisp build
  * Updated standards version without real changes. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat,  1 Jul 2006 23:12:46 +0200

libsigsegv (2.3-2) unstable; urgency=low

  * Updated standard version, no real changes.
  * Make scripts executable. Closes: #366075

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri,  5 May 2006 07:28:12 +0200

libsigsegv (2.3-1) unstable; urgency=low

  * New upstream
  * Updated Standard version without real changes. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  2 May 2006 19:07:56 +0200

libsigsegv (2.2-5) unstable; urgency=low

  * Now build with gcc-4.1 to avoid FTBFS. Closes: #357144
  * Included patch for GNU/kFreeBSD. Closes: #362139

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 13 Apr 2006 09:03:31 +0200

libsigsegv (2.2-4) unstable; urgency=low

  * Changed section of libsigsegv-dev to libdevel
    as per override.
  * Included gcc-4 fix from Joerg Hoehle 
  * Build again with gcc 4 by default

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 20 Mar 2006 14:50:21 +0100

libsigsegv (2.2-3) unstable; urgency=low

  * Fixed section as per override to libdevel
  * Build with gcc-3.4 as otherwith sigaltstack 
    fails.

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 15 Mar 2006 16:49:29 +0100

libsigsegv (2.2-2) unstable; urgency=low

  * New maintainer 

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 16 Oct 2005 21:44:50 +0200

libsigsegv (2.2-1) unstable; urgency=low

  * New upstream version.
  * Updated standards version to 3.6.2.

 -- Will Newton <will@debian.org>  Wed,  6 Jul 2005 13:02:23 +0100
 
libsigsegv (2.2-1) unstable; urgency=low

  * New maintainter
  * New upstream
  * Now uses correct automake/configure procedure

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu,  6 Oct 2005 15:57:02 +0200

libsigsegv (2.1-1) unstable; urgency=low

  * New upstream release.
  * Fixes build on ia64 (Closes: #161924)
  * Fixes build on hppa (Closes: #165268)
  * Updated standards version to 3.6.1. 

 -- Will Newton <will@debian.org>  Thu, 18 Sep 2003 17:18:26 +0100

libsigsegv (2.0-4) unstable; urgency=low

  * Fix hppa build. 

 -- Will Newton <will@debian.org>  Sun, 22 Sep 2002 21:12:49 +0100

libsigsegv (2.0-3) unstable; urgency=low

  * Clean up build.
  * Bump version to sort out lack of orig.tar.gz.

 -- Will Newton <will@debian.org>  Sun, 22 Sep 2002 15:47:12 +0100

libsigsegv (2.0-2) unstable; urgency=low

  * Do not build shared lib. 
  * Uploaded sponsored by "Matthew Danish <mdanish@andrew.cmu.edu>" 

 -- Will Newton <will@debian.org>  Fri, 20 Sep 2002 03:56:26 +0100

libsigsegv (2.0-1) unstable; urgency=low

  * Initial Release.
  * clisp 2.30 splits libsigsegv into a separate package.

 -- Will Newton <will@debian.org>  Fri, 20 Sep 2002 03:14:32 +0100

